# GET /api/v1/businesses/{business_id}/cfo-portal/landed-cogs

> Get CFO landed COGS

- **Tag:** cfo-portal
- **Operation ID:** `cfo_portal_get_landed_cogs_api_v1_businesses__business_id__cfo_portal_landed_cogs_get`

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `business_id` (path, string, required)

## Responses

### 200 — Successful Response

Schema: `CfoPortalSectionResponse`

- `business_id` (string · required)
- `section` (string · required)
- `generated_at` (string · date-time · required)
- `start_date` (string · date)
- `end_date` (string · date)
- `sources` (array · CfoPortalSource) → `CfoPortalSource`
  - `key` (string · required)
  - `label` (string · required)
  - `status` (string) — available, empty, partial, or unavailable
  - `message` (string)
- `data` (object)

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 404 — Not Found - Resource does not exist

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/businesses/{business_id}/cfo-portal/landed-cogs' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/businesses/{business_id}/cfo-portal/landed-cogs', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/businesses/{business_id}/cfo-portal/landed-cogs", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/cfo-portal/cfo-portal-get-landed-cogs
- OpenAPI slice: https://www.ondayzero.com/docs/reference/cfo-portal/cfo-portal-get-landed-cogs/openapi.json
- Other endpoints in **cfo-portal**: https://www.ondayzero.com/docs/reference/cfo-portal
